Help us improve CoreWeave documentation. Take the docs survey.
curl --request DELETE \
--url https://api.coreweave.com/v1alpha1/inference/deployments/{id} \
--header 'Authorization: Bearer <token>'{
"deployment": {
"spec": {
"id": "<string>",
"name": "<string>",
"gatewayIds": [
"<string>"
],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"concurrency": 123,
"capacityClasses": [
"CAPACITY_CLASS_RESERVED"
]
},
"traffic": {
"weight": 123
},
"organizationId": "<string>",
"disabled": true
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conditions": [
{
"type": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>",
"status": "True"
}
],
"status": "STATUS_CREATING"
}
}
}Delete a CoreWeave inference deployment by its ID.
curl --request DELETE \
--url https://api.coreweave.com/v1alpha1/inference/deployments/{id} \
--header 'Authorization: Bearer <token>'{
"deployment": {
"spec": {
"id": "<string>",
"name": "<string>",
"gatewayIds": [
"<string>"
],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"concurrency": 123,
"capacityClasses": [
"CAPACITY_CLASS_RESERVED"
]
},
"traffic": {
"weight": 123
},
"organizationId": "<string>",
"disabled": true
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conditions": [
{
"type": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>",
"status": "True"
}
],
"status": "STATUS_CREATING"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
Use this file to discover all available pages before exploring further.
https://api.coreweave.com.{API_ACCESS_TOKEN} with your CoreWeave API access token.curl -X DELETE https://api.coreweave.com/v1alpha1/inference/deployments/{id} \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}"
CoreWeave API access token sent as a bearer token.
The ID of the deployment to delete
OK
Response for DeleteDeployment
The deployment that was deleted
Show child attributes
Was this page helpful?